## GstBtChildBin GstBtChildBin — helper interface for multi child gstreamer elements |

## Functions

gboolean | gstbt_child_bin_add_child ()
gboolean | gstbt_child_bin_remove_child ()

## Properties

gulong | children | Read / Write

## Types and Values

struct | GstBtChildBinInterface
| GstBtChildBin

## Object Hierarchy

        GInterface
        ╰── GstBtChildBin

## Prerequisites

GstBtChildBin requires GstChildProxy and GObject.

## Known Implementations

GstBtChildBin is implemented by GstBtSidSyn.

## Includes

    #include <libgstbuzztrax/childbin.h>

## Description

This interface provides an extension to the GstChildProxy interface, which is useful for classes that have identical children.

The interface provides a “children” property for the number of children as well as two methods to add and remove children.

## Functions

### gstbt_child_bin_add_child ()

    gboolean
    gstbt_child_bin_add_child (GstBtChildBin *self,
                               GstObject *child);

Add the given child to the list of children.

#### Parameters

self | a GObject that implements GstBtChildBin |
child | the GstObject to add as a child |

#### Returns

`TRUE` for success

### gstbt_child_bin_remove_child ()

    gboolean
    gstbt_child_bin_remove_child (GstBtChildBin *self,
                                  GstObject *child);

Remove the given child from the list of children.

#### Parameters

self | a GObject that implements GstBtChildBin |
child | the GstObject to remove from the children |

#### Returns

`TRUE` for success

## Types and Values

### struct GstBtChildBinInterface

    struct GstBtChildBinInterface {
      GTypeInterface parent;

      gboolean (*add_child) (GstBtChildBin *self, GstObject *child);
      gboolean (*remove_child) (GstBtChildBin *self, GstObject *child);
    };

Interface structure.

#### Members

GTypeInterface `parent`; | parent type |
`add_child` () | vmethod for adding a child to the bin |
`remove_child` () | vmethod for removing a child from the bin |

### GstBtChildBin

    typedef struct _GstBtChildBin GstBtChildBin;

Opaque interface handle.

## Property Details

### The `“children”` property

      “children”                 gulong

the number of children this element uses.

Flags: Read / Write

Allowed values: >= 1